#! /bin/bash

function Welcome(){
            #hlavní menu
            echo ""
            read -p "Pokud si přejete přejít na nabídku s Dockerem stiskněte 'd'.
Pro nabídku Kubernetes 'k'.
Pro ukončení skriptu 'q'. :" usrin
}

function Docker(){    
            while [[ $docin != "b" ]]
                do
                #Docker menu
                echo ""
                read -p "Pro instalaci Docker stiskněte 'i'.
Pro možnosti kontejnerů Docker 'mk'.
Pro možnosti obrazů Dockeru 'mi'.
Pro možnost Docker Swarmu 'ms'.
Pro odinstalování 'u'.
Pro zpět do hlavní nabídky 'b'.
Pro ukončení 'q'. :" docin
                if [[ $docin == "i" ]]
                    then 
                     #kontrola zda je Docker nainstalován
                    if [ -x "$(command -v docker)" ]
                        then
                            echo "Docker je již nainstalován."
                        else
                            #update a instalace Docker, pokud není nainstalován 
                            apt-get remove docker docker-engine docker.io containerd runc
                            apt-get update
                            apt-get install -y \
                            apt-transport-https \
                            ca-certificates \
                            curl \
                            net-tools \
                            openssh-server \
                            gnupg-agent \
                            software-properties-common
                            curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - 
                            apt-key fingerprint 0EBFCD88 -y
                            add-apt-repository \
                            "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
                            $(lsb_release -cs) \
                            stable"
                            #Docker-machine
                            base=https://github.com/docker/machine/releases/download/v0.16.0 &&
                            curl -L $base/docker-machine-$(uname -s)-$(uname -m) >/tmp/docker-machine &&
                            sudo mv /tmp/docker-machine /usr/local/bin/docker-machine &&
                            chmod +x /usr/local/bin/docker-machine
                            #Docker-compose
                            apt install -y docker-compose \
                            git \
                            virtualbox
                            apt-get update 
                            apt-get install -y docker-ce docker-ce-cli containerd.io
                            apt-get install -y docker-ce
                            clear
                    fi
                elif [[ $docin == "mk" ]]
                    then
                    #kontrola zda je Docker nainstalován
                    if ! [ -x "$(command -v docker)" ]
                        then
                            echo "Docker není nainstalován."
                        else
                            #práce s kontejnery
                            Dockercontainermenu
                    fi
                elif [[ $docin == "mi" ]]
                    then
                        #kontrola zda je Docker nainstalován
                        if ! [ -x "$(command -v docker)" ]
                            then
                                echo "Docker není nainstalován."
                            else
                                #práce s images
                                Dockerimagesmenu
                        fi
                elif [[ $docin == "ms" ]]
                    then
                        #kontrola zda je Docker nainstalován
                        if ! [ -x "$(command -v docker)" ]
                            then
                                echo "Docker není nainstalován."
                        fi
                            read -p "Pokud si přejete vytvořit Docker Machine a tam inicializovat Swarm, tak stiskněte 'dm', pokud chcete Swarm přímo v systému, tak stiskněte 's'. :" docs
                        if [[ $docs == "s" ]]
                            then
                                #práce se Swarmem v systému
                                Dockerswarm
                        elif [[ $docs == "dm" ]]
                            then
                                #práce se Swarmem pomocí Docker Machine
                                Dockermachineswarm                            
                        else
                            echo "Nesprávná klávesa."
                        fi
                elif [[ $docin == "u" ]]
                    then 
                        #kontrola zda je Docker nainstalován
                        if ! [ -x "$(command -v docker)" ]
                            then
                                echo "Docker není nainstalován."
                            else
                                #smazání Docker, pokud je nainstalován
                                read -p "Pokud si skutečně přejete Docker odinstalovat, včetně všech kontejnerů a images, tak stiskněte 'a'. :" docuninst
                                if [[ $docuninst == "a" ]]
                                    then
                                        docker stop $(docker ps -a -q)
                                        docker system prune -y -a
                                        docker-machine rm -f $(docker-machine ls -q)
                                        apt remove -y docker-compose \
                                        virtualbox
                                        rm -rf docker-hadoop
                                        apt-get purge -y docker-ce docker-ce-cli containerd.io
                                        rm -rf /var/lib/docker 
                                    else
                                        Docker
                                fi
                        fi
                elif [[ $docin == "q" ]]
                    then
                        clear
                        exit
                elif [[ $docin == "b" ]]
                    then
                        clear
                elif [[ $docin != "b" ]]
                    then
                        echo "Nesprávná klávesa."
                fi
              
            done
}
function Dockerswarm(){
            #vyprázdnění proměnné
            docs=""
            while [[ $docs != "b" ]]
                do
                #menu s možnostmi Docker Swarmu
                echo ""
                read -p "Pro inicializaci Swarmu 'i'.
Pro spuštění kontejneru v klastru 's'.
Pro škálování Docker service 'sc'.
Pro token k připojení do Swarmu 't'.
Pro status Swarmu 'st'. 
Pro list Docker service 'l'.
Pro seznam uzlů 'n'.
Pro smazání Docker uzlu 'nd'.
Pro opuštění Swarmu 'o'.
Pro smazání Docker service 'd'.
Pro zpět do nabídky Docker 'b'.
Pro ukončení 'q'. :" docs               
                    if [[ $docs == "i" ]]
                        then
                            echo "Vaše IP adresa je. :"
                            #lokální IP adresa
                            hostname -I
                            read -p "Zadejte vaší IP adresu. :" docsin
                            #inicializace Swarmu
                            docker swarm init --advertise-addr $docsin
                            echo "Po inicializaci Swarmu se zobrazí token, pomocí kterého se lze přidat ostatní uzly do klastru."
                            echo "Token zadejte do dalších serverů, které si přejete mít v klastru."
                    elif [[ $docs == "s" ]]
                        then
                            read -p "Pokud si přejete spustit vlastní obraz, stiskněte 'v', pokud obraz se Stormem 's'. :" docsin
                            if [[ $docsin == "v" ]]
                                then
                                    #spuštění vybraných kontejnerů v klastru
                                    read -p "Zadejte počet replik. :" docsr
                                    read -p "Zadejte port (80:80). :" docsp
                                    read -p "Zadejte váš název. :" docsn
                                    read -p "Zadejte název obrazu. :" docsi
                                    docker service create --replicas $docsr -p $docsp --name $docsn $docsi
                            elif [[ $docsin == "s" ]]
                                then
                                    #spuštění Stormu v klastru
                                    read -p "Zadejte počet replik. :" docsr
                                    read -p "Zadejte port (85:85). :" docsp
                                    docker service create -- replicas $docsr -p $docsp --name Storm storm storm supervisor
                            else
                                echo "Nesprávná klávesa."
                            fi
                    elif [[ $docs == "sc" ]]
                        then
                            #škálování docker service
                            read -p "Zadejte název vaší Docker service. :" docsn
                            read -p "Zadejte požadované škálování. :" docssc
                            docker service scale $docsn=$docssc
                    elif [[ $docs == "t" ]]
                        then
                            read -p "Pro token k připojení správce stiskněte 's', pro pracovníka 'p'. :" docsin
                            if [[ $docsin == "s" ]]
                                then
                                    #vygenerování správcovského tokenu
                                    docker swarm join-token manager
                                    echo "Vygenerovaný token použijte k připojení správce do Swarmu."
                            elif [[ $docsin == "p" ]]
                                then
                                    #vygenerování tokenu pracovníka
                                    docker swarm join-token worker
                                    echo "Vygenerovaný token použijte k připojením pracovníka do Swarmu."
                            else
                                echo "Nesprávná klávesa."
                            fi
                    elif [[ $docs == "st" ]]
                        then
                            #status Docker service
                            read -p "Zadejte název vaší Docker service, jejíž status chcete vidět. :" docsin
                            docker service ps $docsin
                    elif [[ $docs == "l" ]]
                        then
                            #list Docker service
                            docker service ls
                    elif [[ $docs == "n" ]]
                        then
                            #list uzlů
                            docker node ls
                    elif [[ $docs == "nd" ]]
                        then
                            #smazání uzlů ze Swarmu
                            read -p "Zadejte název uzlu/uzlů, který/které chcete smazat ze Swarmu. :" docsin
                            docker node rm $docsin
                    elif [[ $docs == "o" ]]
                        then
                            #opuštění docker swarmu
                            docker swarm leave --force
                    elif [[ $docs == "d" ]]
                        then
                            #smazání Docker service
                            read -p "Zadejte název vaší Docker service, kterou chcete smazat. :" docsin
                            docker service rm $docsin
                    elif [[ $docs == "q" ]]
                        then
                            clear
                            exit
                    elif [[ $docs == "b" ]]
                        then
                            clear  
                    elif [[ $docs != "b" ]]
                        then
                            echo "Nesprávná klávesa."
                    fi
                done
}
function Dockermachineswarm(){
            #vyprázdění proměnné
            docs=""
            while [[ $docs != "b" ]]
                do
                 #menu s možnostmi Docker Swarmu pomocí Docker Machine
                echo ""
                read -p "Pro vytvoření Docker Machine stiskněte 'v'.
Pro inicializaci Swarmu 'i'.
Pro start Docker Machine 's'.
Pro zastavení Docker Machine 'z'.
Pro smazání Docker Machine 'd'.
Pro připojení do existujícího Docker Machine 'p'.
Pro připojení pracovníka/správce do Swarmu 'ps'.
Pro info ke spuštění kontejnerů v Docker Swarmu 'sk'.
Pro list Docker Machines 'l'.
Pro IP adresu Docker Machine 'ip'.
Pro restart Docker Machine 'r'.
Pro zpět do nabídky Docker 'b'.
Pro ukončení 'q'. :" docs
            if [[ $docs == "v" ]]
                then
                    #vytvoření Docker Machine 
                    read -p "Pro vytvoření vlastní Docker Machine, stiskněte 'v', pro vytvoření jednoho správcovského a dvou pracovních uzlů stiskněte 'c'. :" docsm
                    if [[ $docsm == "v" ]]
                        then
                            #vytvoření Docker Machine s vlastním názvem
                            read -p "Zadejte název vaší Docker Machine. :" docsin
                            docker-machine create --driver virtualbox $docsin
                    fi
                    if [[ $docsm == "c" ]]
                        then
                            #vytvoření manager node s 2 workerama
                            docker-machine create --driver virtualbox manager1
                            docker-machine create --driver virtualbox worker1
                            docker-machine create --driver virtualbox worker2
                    fi
             elif [[ $docs == "i" ]]
                then
                    #inicializace Swarm
                    echo "Nejdříve potřebujete mít vytvořený správce!"
                    echo "Pro inicializaci správcovského uzlu zadejte příkaz 'docker swarm init --advertise-addr (ipadresamanagera)'."
                    read -p "Zadejte název vašeho správce, ke kterému se připojíte. :" docsin
                    echo "Ip adresa správce je. :" 
                    #ip adresa zadaného správce
                    docker-machine ip $docsin
                    #připojení ke správci
                    docker-machine ssh $docsin    
             elif [[ $docs == "s" ]]
                then
                    #start Docker Machine
                    read -p "Zadejte název Docker Machine, kterou chcete spustit. :" docsin
                    docker-machine start $docsin
            elif [[ $docs == "z" ]]
                then
                    #zastavení Docker Machine
                    read -p "Zadejte název Docker Machine, kterou chcete zastavit. :" docsin
                    docker-machine stop $docsin
            elif [[ $docs == "d" ]]
                then
                    #smazání Docker Machine
                    read -p "Zadejte název Docker Machine, kterou chcete smazat. :" docsin
                    docker-machine rm $docsin
            elif [[ $docs == "p" ]]
                then
                    #připojení k Docker Machine
                    read -p "Zadejte název Docker Machine, do které se chcete připojit. :" docsin
                    docker-machine ssh $docsin
            elif [[ $docs == "ps" ]]
                then
                    read -p "Pokud si přejete se do Swarmu přopojit pracovníka, stiskněte 'w', pokud správce, stiskněte 'm'. :" docsj
                    #připojení pracovního uzlu
                    if [[ $docsj == "w" ]]
                        then
                            echo "Nyní se připojíte ke správci napište 'docker swarm join-token worker' a vypíše se vám token pro připojení worker do Swarmu, poté stačí opustit správce pomocí 'exit'."
                            read -p "Zadejte název vašeho správce. :" docsin
                            docker-machine ssh $docsin
                            echo "Vygenerovaný token zkopírujte a vložte do pracnovníka, kterého chcete připojit do Swarmu."
                            read -p "Zadejte název pracovníka, kterého chcete připojit. :" docsj
                            docker-machine ssh $docsj
                    #připojení uzlu správce
                    elif [[ $docsj == "m" ]]
                        then
                            echo "Nyní se připojíte ke správci, napište 'docker swarm join-token manager' a vypíše se vám token pro připojení správce do Swarmu, poté stačí opustit správce pomocí 'exit'."
                            read -p "Zadejte název vašeho správce. :" docsin
                            docker-machine ssh $docsin
                            echo "Vygenerovaný token zkopírujte a vložte do správce, kterého chcete připojit do Swarmu."
                            read -p "Zadejte název správce, kterého chcete připojit. :" docsj
                            docker-machine ssh $docsj
                    else
                        echo "Nesprávná klávesa."
                    fi              
            elif [[ $docs == "sk" ]]
                then
                    #spuštění libovolných kontejnerů ve Swarmu s volbou počtu replik, portu a názvu
                    echo "Pro spuštění kontejneru v Docker Swarmu potřebujete na vašem správci zadat 'docker service create --replicas (početreplik) -p (80:80) --name (test1) (nginx)"
                    read -p "Pokud chcete spustit kontejner ve Swarmu, stiskněte 'a'. :" docsin
                    if [[ $docsin == "a" ]]
                        then
                            read -p "Zadejte název vašeho správce. :" docsin
                            docker-machine ssh $docsin
                    fi
            elif [[ $docs == "l" ]]
                then   
                    #list Docker Machine a jejich stav 
                    docker-machine ls
            elif [[ $docs == "ip" ]]
                then
                    #IP adresa Docker Machine
                    read -p "Zadejte název Docker Machine jehož IP adresu chcete zjistit. :" docsin
                    docker-machine ip $docsin
            elif [[ $docs == "r" ]]
                then  
                    #restart Docker Machine
                    read -p "Zadejte název Docker Machine, kterou chcete restartovat. :" docs  
                    docker-machine restart $docs
            elif [[ $docs == "q" ]]
                then
                    clear
                    exit
            elif [[ $docs == "b" ]]
                then
                    clear  
            elif [[ $docs != "b" ]]
                then
                    echo "Nesprávná klávesa."
            fi
            done
}
function Dockerhadoop(){
     if [ -d "docker-hadoop" ]
            then
            #kontrola zda Hadoop, jestliže se již nenachází v pc
                read -p "Hadoop se již nachází v počítači, zkontrolujte stav kontejnerů, pokud si ho přejete spustit, stiskněte 's', pro zastavení 'z'. :" docc
                if [[ $docc == "s" ]]
                    then
                        #spuštění Hadoop klastru
                        cd docker-hadoop
                        docker-compose up -d
                elif [[ $docc == "z" ]]
                    then
                        #zastavení Hadoop klastru
                        cd docker-hadoop
                        docker-compose down
                else
                    echo "Nesprávná klávesa."
                fi
    fi
    if ! [ -d "docker-hadoop" ]
            then
                #stažení Hadoopu a jeho spuštění
                git clone https://github.com/big-data-europe/docker-hadoop.git
                cd docker-hadoop
                docker-compose up -d
                docker exec -it namenode /bin/bash
                hdfs dfs -mkdir -p /user/root
                echo "Vaše IP adresa je. :"
                hostname -I
                echo "Za IP adresu je třeba zadat port (9870), který lze zjistit z běžících kontejnerů a můžete se přes prohlížeč na něj připojit."
                echo "Přes 'l' se můžete podívat na běžící kontejnery."
    fi
}

function Dockercontainermenu(){
            #vyprázdnění proměnné
            docm=""
            while [[ $docm != "b" ]]
                do
                #menu s možnostmi kontejnerů
                echo ""
                read -p "Pro spuštění kontejneru s možnostmi stiskněte 'r'.
Pro start 's'.
Pro zastavení 'z'.
Pro seznam všech kontejnerů 'l'.
Pro smazání 'd'.
Pro zpět do nabídky Dockeru 'b'.
Pro ukončení 'q'. :" docm
                    if [[ $docm == "r" ]]
                        then
                            read -p "Pokud si přejete spustit kontejner s Hadoopem, stiskněte 'h'
Pro spuštění kontejneru s názvem a portem 'p'.
Pro spuštění kontejneru 'r'. :" docc
                    #menu s Hadoopem
                    if [[ $docc == "h" ]]
                        then
                            Dockerhadoop
                    elif [[ $docc == "p" ]]
                        then
                            #spuštění kontejneru s názvem a portem
                             read -p "Zadejte název kontejneru. :" docc 
                            read -p "Zadejte váš požadovaný port (90:90). :" docp 
                            read -p "Zadejte název kontejneru. :" docr
                            docker run --name $docc -p $docp -it -d $docr
                    elif [[ $docc == "r" ]]
                        then
                            #spuštění kontejneru
                            read -p "Zadejte název kontejneru, který chcete spustit. :" docr
                            docker run $docr
                    else
                        echo "Nesprávná klávesa."
                    fi
                    elif [[ $docm == "s" ]]
                        then
                            
                            read -p "Pokd si přejete spustit všechny zastavené kontejnery stiskněte 'a', jinak zadejte název kontejneru. :" docc
                                if [[ $docc == "a" ]]
                                    then
                                    #spuštění všech zastavených kontejnerů
                                    docker start $(docker ps -a -q)
                                    else
                                    #spuštění konrétního kontejneru
                                    docker start $docc
                                fi
                    elif [[ $docm == "z" ]]
                        then 
                            aa-remove-unknown
                            read -p "Pokud si přejete zastavit všechny spuštěné kontejnery stiskněte 'a', jinak zadejte název. :" docc
                                if [[ $docc == "a" ]]
                                    then
                                     #zastavení všech spuštěných kontejnerů
                                    docker stop $(docker ps -a -q) 
                                    else
                                    #zastavení konkrétního kontejneru
                                    docker stop $docc 
                                fi
                    elif [[ $docm == "l" ]]
                        then
                            #list všech kontejnerů (i zastavených)
                            docker ps -a
                    elif [[ $docm == "d" ]]
                        then   
                            aa-remove-unknown 
                            read -p "Zadejte název kontejneru/kontejnerů, který/které chcete smazat, pokud si přejete smazat všechny zastavené kontejnery stiskněte 'a'. :" docc
                            if [[ $docc == "a" ]]
                                then
                                #smazání všech kontejnerů
                                docker container prune -f
                                else
                                #smazání konkrétního kontejneru
                                docker rm $docc
                            fi
                    elif [[ $docm == "q" ]]
                        then
                            clear
                            exit
                    elif [[ $docm == "b" ]]
                        then
                            clear  
                    elif [[ $docm != "b" ]]
                        then
                            echo "Nesprávná klávesa."
                    fi     
            done
}
function Dockerimagesmenu(){
        #vyprázdnění proměnné
        docm=""
            while [[ $docm != "b" ]]
                do
                #menu s možnostmi obrazů
                echo ""
                read -p "Pro stažení obrazu 'p'.
Pro list 'l'.
Pro smazání 'd'.
Pro zpět do nabídky Dockeru 'b'.
Pro ukončení 'q'. :" docm
                if [[ $docm == "p" ]]
                    then
                        #stažení obrazu
                        read -p "Zadejte název obrazu, který si přejete stáhnout. :" docc
                        docker pull $docc
                elif [[ $docm == "l" ]]
                    then
                        docker images
                elif [[ $docm == "d" ]]
                    then
                        #smazání obrazů
                        read -p "Zadejte název obrazu/obrazů, který/které chcete smazat, pokud si přejete smazat všechny nevyužité obrazy stiskněte 'a'. :" docc
                        if [[ $docc == "a" ]]
                            then
                                docker rmi $(docker images -a -q)
                            else
                                docker image rm $docc 
                        fi
                elif [[ $docm == "q" ]]
                    then
                        clear
                        exit
                elif [[ $docm == "b" ]]
                    then
                        clear  
                elif [[ $docm != "b" ]]
                    then
                        echo "Nesprávná klávesa."
                fi
            done
}

function Kubernetes(){
            while [[ $kubin != "b" ]]
                do
                echo ""
                #Kubernetes menu
                read -p  "Pro instalaci Kubernetes stiskněte 'i'.
Pro možnosti Kubernetes 'm'.
Pro odinstalování 'u'.
Pro zpět do nabídky 'b'.
Pro ukončení 'q'. :" kubin
                if [[ $kubin == "i" ]]
                    then 
                        #kontrola zda je Kubernetes nainstalován
                        if [ -x "$(command -v kubeadm)" ]; 
                            then
                                echo "Kubernetes je již nainstalován."
                        elif ! [ -x "$(command -v docker)" ]
                            then
                                echo "Pro instalaci Kubernetes musíte nejdříve nainstalovat Docker." 
                        #pokud není Kubernetes nainstalován a docker je, tak instalace Kubernetes
                        else
                            #instalace Kubernetes
                            cat <<EOF | sudo tee /etc/sysctl.d/k8s.conf
                            net.bridge.bridge-nf-call-ip6tables = 1
                            net.bridge.bridge-nf-call-iptables = 1
EOF
                            sudo apt-get update && sudo apt-get install -y apt-transport-https curl
                            curl -s https://packages.cloud.google.com/apt/doc/apt-key.gpg | sudo apt-key add -
                            cat <<EOF | sudo tee /etc/apt/sources.list.d/kubernetes.list
                            deb https://apt.kubernetes.io/ kubernetes-xenial main 
EOF
                            sudo apt-get update
                            sudo apt-get install -y kubelet kubeadm kubectl
                            sudo apt-mark hold kubelet kubeadm kubectl
                            systemctl daemon-reload
                            systemctl restart kubelet
                            swapoff -a
                            setenforce 0
                            clear
                fi
                elif [[ $kubin == "m" ]]
                    then
                        #kontrola zda je Docker nainstalován
                        if ! [ -x "$(command -v kubeadm)" ]
                            then
                                echo "Kubernetes není nainstalován."
                        elif ! [ -x "$(command -v docker)" ]
                            then
                                echo "Pro instalaci Kubernetes musíte nejdříve nainstalovat Docker." 
                        else
                                #práce s Kubernetes
                                Kubernetesmenu
                        fi
                elif [[ $kubin == "u" ]]
                    then
                     #kontrola zda je Kubernetes nainstalován
                    if ! [ -x "$(command -v kubeadm)" ]
                        then
                            echo "Kubernetes není nainstalován."
                        else
                        #smazání Kubernetes, pokud je nainstalován
                            read -p "Pokud si skutečně přejete Kubernetes odinstalovat, tak stiskněte 'a'. :" kubuninst
                        if [[ $kubuninst == "a" ]]
                            then
                                kubeadm reset
                                apt-get purge kubeadm kubectl kubelet kube*   
                                apt-get autoremove 
                                rm -rf ~/.kube
                                sudo rm -rf /etc/kubernetes/
                                sudo rm -rf /var/lib/kubelet/
                                sudo rm -rf /var/lib/etcd
                        else
                            Kubernetes
                        fi
                    fi
                elif [[ $kubin == "q" ]]
                    then
                        clear
                        exit
                elif [[ $kubin == "b" ]]
                    then
                        clear  
                elif [[ $kubin != "b" ]]
                    then
                        echo "Nesprávná klávesa."
                fi   
            done
}

function Kubernetesmenu(){
            kubm=""
            while [[ $kubm != "b" ]]
                do
                echo ""
                read -p "Pro inicializace Kubernetes mastera 'i'.
Pro možnosti tokenu 't'.
Pro reset klastru 'r'.
Pro seznam uzlů 'n'.
Pro list kontejnerů 'l'.
Pro zpět do nabídky Kubernetes 'b'.
Pro ukončení 'q'. :" kubm
                if [[ $kubm == "i" ]]
                    then
                        #inicializace klastru Kubernetes
                        echo "Vaše IP adresa je. :"
                        hostname -I
                        read -p "Zadejte vaší ip adresu. :" kubmin
                        swapoff -a
                        systemctl daemon-reload
                        systemctl restart kubelet
                        kubeadm init --pod-network-cidr=192.168.0.0/16 --apiserver-advertise-address=$kubmin --ignore-preflight-errors=
                        echo "Vygenerovaný token použijte pro připojení pracovníka do klastru."
                elif [[ $kubm == "t" ]]
                    then
                        #vytvoření/zobrazení tokenu
                        read -p "Pokud si přejete vytvořit token, stiskněte 'v', pro token list 'l'. :" kubmin
                         if [[ $kubmin == "v" ]]
                            then
                                kubeadm token create
                        elif [[ $kubmin == "l" ]]
                            then
                                kubeadm token list
                        else
                            echo "Nesprávná klávesa."
                        fi
                elif [[ $kubm == "r" ]]
                    then
                        #reset klastru
                        kubeadm reset
                elif [[ $kubm == "l" ]]
                    then
                        #list všech kontejnerů
                        docker ps -a
                elif [[ $kubm == "n" ]]
                    then
                        #list uzlů v klastru
                        kubectl get nodes
                elif [[ $kubm == "q" ]]
                    then
                        clear
                        exit
                elif [[ $kubm == "b" ]]
                    then
                        clear         
                elif [[ $kubm != "b" ]]
                    then
                        echo "Nesprávná klávesa."
                fi        
            done
}

#loop hlavního menu
while [[ $usrin != "q" ]]
do
    #zavolání funkce vítejte
    Welcome
    if [[ $usrin == "d" ]]
        then
            #vyprázdnění proměnné
            docin=""
            Docker
    elif [[ $usrin == "k" ]]
        then
            #vyprázdnění proměnné
            kubin=""
            Kubernetes
    elif [[ $usrin != "q" ]]
        then
            echo "Nesprávná klávesa."
    fi
done



